class Beansdb < Formula
  desc "Yet another distributed key-value storage system"
  homepage "https://github.com/douban/beansdb"
  url "https://github.com/douban/beansdb/archive/v0.7.1.4.tar.gz"
  sha256 "c89f267484dd47bab272b985ba0a9b9196ca63a9201fdf86963b8ed04f52ccdb"
  license "BSD-3-Clause"
  head "https://github.com/douban/beansdb.git"

  # Deprecated upstream in favor of `gobeansdb`:
  # https://github.com/douban/gobeansdb
  deprecate! date: "2018-06-11", because: :repo_archived

  depends_on "autoconf" => :build
  depends_on "automake" => :build

  def install
    system "./autogen.sh"
    system "./configure", "--disable-dependency-tracking", "--prefix=#{prefix}"
    system "make"
    system "make", "install"

    (var/"db/beansdb").mkpath
    (var/"log").mkpath
  end

  service do
    run [opt_bin/"beansdb", "-p", "7900", "-H", var/"db/beansdb", "-T", "1", "-vv"]
    run_type :immediate
    keep_alive true
    error_log_path var/"log/beansdb.log"
    log_path var/"log/beansdb.log"
    working_dir var
  end

  test do
    system "#{bin}/beansdb", "-h"
  end
end
